Package org.apache.tapestry5.hibernate.internal

# Class HibernateSessionSourceImpl

java.lang.Object
org.apache.tapestry5.hibernate.internal.HibernateSessionSourceImpl

All Implemented Interfaces:
  `HibernateSessionSource`

public class HibernateSessionSourceImpl extends Object implements HibernateSessionSource

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HibernateSessionSourceImpl(org.slf4j.Logger logger, List<HibernateConfigurer> hibernateConfigurers)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.hibernate.Session`
  `create()`
  Creates a new session using the `SessionFactory` created at service startup.
  `org.hibernate.cfg.Configuration`
  `getConfiguration()`
  Returns the final configuration used to create the `SessionFactory`.
  `org.hibernate.SessionFactory`
  `getSessionFactory()`
  Returns the SessionFactory from which Hibernate sessions are created.
  `void`
  `listenForShutdown(RegistryShutdownHub hub)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HibernateSessionSourceImpl

    public HibernateSessionSourceImpl(org.slf4j.Logger logger, List<HibernateConfigurer> hibernateConfigurers)

- ## Method Details

  - ### listenForShutdown

    @PostInjection public void listenForShutdown(RegistryShutdownHub hub)

  - ### create

    public org.hibernate.Session create()
    Description copied from interface: `HibernateSessionSource`
    Creates a new session using the `SessionFactory` created at service startup.
    Specified by:
      `create` in interface `HibernateSessionSource`

  - ### getSessionFactory

    public org.hibernate.SessionFactory getSessionFactory()
    Description copied from interface: `HibernateSessionSource`
    Returns the SessionFactory from which Hibernate sessions are created.
    Specified by:
      `getSessionFactory` in interface `HibernateSessionSource`

  - ### getConfiguration

    public org.hibernate.cfg.Configuration getConfiguration()
    Description copied from interface: `HibernateSessionSource`
    Returns the final configuration used to create the `SessionFactory`. The configuration is immutable.
    Specified by:
      `getConfiguration` in interface `HibernateSessionSource`